Cisco FTD Software Pluggable Authentication Module DoS (cisco-sa-20191002-ftd-fpmc-dos)

medium Nessus Plugin ID 134449

Synopsis

The remote device is missing a vendor-supplied security patch

Description

According to its self-reported version, Cisco Firepower Threat Defense (FTD) Software is affected by a vulnerability in the configuration of the Pluggable Authentication Module (PAM) due to improper resource management in the context of user session management. An authenticated, remote attacker can exploit this, by connecting to an affected system and performing many simultaneous successful Secure Shell (SSH) logins, in order to exhaust system resources and cause a denial of service (DoS) condition.

Please see the included Cisco BIDs and Cisco Security Advisory for more information.

Solution

Upgrade to the relevant fixed version referenced in Cisco bug IDs CSCvm92401, CSCvn83385

See Also

http://www.nessus.org/u?481199e8

https://bst.cloudapps.cisco.com/bugsearch/bug/CSCvm92401

https://bst.cloudapps.cisco.com/bugsearch/bug/CSCvn83385

Plugin Details

Severity: Medium

ID: 134449

File Name: cisco-sa-20191002-ftd.nasl

Version: 1.6

Type: local

Family: CISCO

Published: 3/13/2020

Updated: 8/14/2020

Risk Information

VPR

Risk Factor: Low

Score: 3.6

CVSS v2

Risk Factor: Medium

Base Score: 6.8

Temporal Score: 5

Vector: AV:N/AC:L/Au:S/C:N/I:N/A:C

Temporal Vector: E:U/RL:OF/RC:C

CVSS Score Source: CVE-2019-12700

CVSS v3

Risk Factor: Medium

Base Score: 6.5

Temporal Score: 5.7

Vector: CVSS:3.0/AV:N/AC:L/PR:L/UI:N/S:U/C:N/I:N/A:H

Temporal Vector: E:U/RL:O/RC:C

Vulnerability Information

CPE: cpe:/o:cisco:firepower_threat_defense

Required KB Items: installed_sw/Cisco Firepower Threat Defense

Exploit Ease: No known exploits are available

Patch Publication Date: 10/2/2019

Vulnerability Publication Date: 10/2/2019

Reference Information

CVE: CVE-2019-12700

CISCO-BUG-ID: CSCvm92401, CSCvn83385

CISCO-SA: cisco-sa-20191002-ftd-fpmc-dos

IAVA: 2019-A-0370